Bug 157213 - RHEL3-QU4 -- Mounting cdrom without media displays error messages to screen
RHEL3-QU4 -- Mounting cdrom without media displays error messages to screen
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks: 170445
  Show dependency treegraph
 
Reported: 2005-05-09 10:40 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-08 13:32:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-ide-cd-nomedia.patch (342 bytes, patch)
2005-06-15 16:20 EDT, John W. Linville
no flags Details | Diff
jwltest-ide-cd-nomedia.patch (329 bytes, patch)
2005-07-27 15:58 EDT, John W. Linville
no flags Details | Diff
jwltest-ide-cd-nomedia.patch (892 bytes, patch)
2005-07-29 15:38 EDT, John W. Linville
no flags Details | Diff
jwltest-ide-cd-nomedia.patch (379 bytes, patch)
2005-09-19 14:30 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Issue Tracker 2005-05-09 10:40:52 EDT
Escalated to Bugzilla from IssueTracker
Comment 5 John W. Linville 2005-05-09 12:52:16 EDT
Have you tried this on U5?  I can not reproduce it... 
 
(Logged-in to console...) 
 
[root@dhcp59-123 root]# mount /dev/cdrom 
udf: registering filesystem 
hda: attached ide-cdrom driver. 
mount: No medium found 
 
[root@dhcp59-123 root]# lsmod 
Module                  Size  Used by    Not tainted 
ide-cd                 34408   0  (autoclean) 
cdrom                  33096   0  (autoclean) [ide-cd] 
udf                    87424   0  (autoclean) 
audit                 127144   2  (autoclean) 
usbserial              29624   0  (autoclean) (unused) 
parport_pc             19780   1  (autoclean) 
lp                      9992   0  (autoclean) 
parport                42464   1  (autoclean) [parport_pc lp] 
button                  4336   0  (unused) 
autofs4                16848   0  (autoclean) (unused) 
tg3                    67056   1 
bonding                62716   1 
floppy                 62104   0  (autoclean) 
sg                     37880   0  (autoclean) 
microcode               6880   0  (autoclean) 
keybdev                 3104   0  (unused) 
mousedev                6728   0 
hid                    21992   0  (unused) 
input                   7488   0  [keybdev mousedev hid] 
ehci-hcd               21168   0  (unused) 
usb-uhci               28024   0  (unused) 
usbcore                85152   1  [usbserial hid ehci-hcd usb-uhci] 
ext3                   87856   2 
jbd                    56832   2  [ext3] 
ahci                    7676   3 
libata                 48552   0  [ahci] 
sd_mod                 14964   6 
scsi_mod              129796   3  [sg ahci libata sd_mod] 
 
[root@dhcp59-123 root]# tail /var/log/messages 
. 
. 
. 
May  9 12:47:07 dhcp59-123 kernel: udf: registering filesystem 
May  9 12:47:07 dhcp59-123 kernel: ide-floppy driver 0.99.newide 
May  9 12:47:07 dhcp59-123 kernel: hda: attached ide-cdrom driver. 
May  9 12:47:07 dhcp59-123 kernel: hda: ATAPI 40X DVD-ROM drive, 256kB Cache, 
UDMA(44) 
May  9 12:47:07 dhcp59-123 kernel: Uniform CD-ROM driver Revision: 3.12 
May  9 12:47:07 dhcp59-123 kernel: cdrom: open failed. 
 
Comment 12 John W. Linville 2005-06-15 16:20:54 EDT
Created attachment 115504 [details]
jwltest-ide-cd-nomedia.patch
Comment 17 Larry Troan 2005-07-26 14:24:01 EDT
Per comment #15, in John's court. Setting to ASSIGNED STATE.
Comment 18 John W. Linville 2005-07-27 15:58:34 EDT
Created attachment 117211 [details]
jwltest-ide-cd-nomedia.patch
Comment 19 John W. Linville 2005-07-27 16:02:29 EDT
It sure helps to be able to recreate these issues...thanks, Rob.  
 
What I am wondering is whether or not this happens on RHEL4 and/or Fedora (and 
upstream)?  I don't see anything in the code to prevent it from happening 
there, but no one said it does either.  I'll have to check that out. 
 
If it doesn't happen upstream, I'd like to figure-out how it is prevented 
there.  If it does, then the patch in comment 18 is probably fine, and I'll 
probably need to retool a version of it for RHEL4 and upstream...(thinking 
out-loud...) 
  
Comment 20 John W. Linville 2005-07-29 15:38:00 EDT
Created attachment 117287 [details]
jwltest-ide-cd-nomedia.patch

Solution inspired by upstream...
Comment 21 John W. Linville 2005-07-29 15:38:59 EDT
Test kernels available at the location from comment 7...please give them a try 
and report the results...thanks! 
Comment 22 John W. Linville 2005-08-01 12:49:14 EDT
Hmmm...that patch doesn't seem to do it either...grrr... 
Comment 23 John W. Linville 2005-09-19 14:30:20 EDT
Created attachment 118997 [details]
jwltest-ide-cd-nomedia.patch
Comment 24 John W. Linville 2005-09-19 14:59:06 EDT
I have backed-off to a variation of the patch from comment 18.  Test kernels 
w/ this version of the patch are available here: 
 
   http://people.redhat.com/linville/kernels/rhel3/ 
 
Please give those a try and report the results.  Thanks! 
Comment 27 John W. Linville 2005-12-08 13:32:33 EST
This patch was rejected in peer review. 
 
I don't think this is a serious enough issue to merit further effort.  I'm 
sorry. 

Note You need to log in before you can comment on or make changes to this bug.